<?php

namespace Drupal\genoring\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines a model extension annotation object.
 *
 * @see plugin_api
 *
 * @Annotation
 */
class ModelExtension extends Plugin {

  /**
   * The plugin ID.
   *
   * @var string
   */
  public $id;

  /**
   * The human-friendly name of the plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public $label;

  /**
   * A description of the plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public $description;

}
